CompiledClassUtils (Apache Geode 1.7.0)
Date: 2018-09-27

org.apache.geode.codeAnalysis

## Class CompiledClassUtils

- java.lang.Object
- - org.apache.geode.codeAnalysis.CompiledClassUtils

-     public class CompiledClassUtils
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompiledClassUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `diffSortedClassesAndMethods(java.util.List<ClassAndMethodDetails> goldRecord, java.util.List<ClassAndMethods> toDatas)`
    `static java.lang.String` | `diffSortedClassesAndVariables(java.util.List<ClassAndVariableDetails> goldRecord, java.util.List<ClassAndVariables> cavs)`
    `static java.util.List<java.io.File>` | `findClassFiles(java.lang.String parentPath, java.lang.String[] filenames, boolean recursive)` returns a collection of all of the .class files in the given list of files and directories.
    `static java.util.List<ClassAndMethodDetails>` | `loadClassesAndMethods(java.io.File file)`
    `static java.util.List<ClassAndVariableDetails>` | `loadClassesAndVariables(java.io.File file)`
    `static java.util.Map<java.lang.String,CompiledClass>` | `parseClassFiles(java.util.List<java.io.File> classFiles)` Parse the given class files and return a map of name->Dclass.
    `static java.util.Map<java.lang.String,CompiledClass>` | `parseClassFilesInDir(java.io.File buildDir)` Parse the files in the given jar file and return a map of name->CompiledClass.
    `static java.util.Map<java.lang.String,CompiledClass>` | `parseClassFilesInJar(java.io.File jar)` Parse the files in the given jar file and return a map of name->CompiledClass.
    `static void` | `storeClassesAndMethods(java.util.List<ClassAndMethods> cams, java.io.File file)`
    `static void` | `storeClassesAndVariables(java.util.List<ClassAndVariables> cams, java.io.File file)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompiledClassUtils

          public CompiledClassUtils()

  - ### Method Detail

    - #### parseClassFiles

          public static java.util.Map<java.lang.String,CompiledClass> parseClassFiles(java.util.List<java.io.File> classFiles)

      Parse the given class files and return a map of name->Dclass. Any IO exceptions are consumed by this method and written to stderr.
      Returns:
        the parsed classes

    - #### parseClassFilesInJar

          public static java.util.Map<java.lang.String,CompiledClass> parseClassFilesInJar(java.io.File jar)

      Parse the files in the given jar file and return a map of name->CompiledClass. Any IO exceptions are consumed by this method and written to stderr.
      Parameters:
        `jar` - the jar file holding classes

    - #### parseClassFilesInDir

          public static java.util.Map<java.lang.String,CompiledClass> parseClassFilesInDir(java.io.File buildDir)

      Parse the files in the given jar file and return a map of name->CompiledClass. Any IO exceptions are consumed by this method and written to stderr.

    - #### findClassFiles

          public static java.util.List<java.io.File> findClassFiles(java.lang.String parentPath,
                                                                    java.lang.String[] filenames,
                                                                    boolean recursive)

      returns a collection of all of the .class files in the given list of files and directories.
      Parameters:
        `filenames` - a list of the files and directories to examine
        `recursive` - whether to recurse into subdirectories
      Returns:
        a sorted list of the .class files found

    - #### loadClassesAndMethods

          public static java.util.List<ClassAndMethodDetails> loadClassesAndMethods(java.io.File file)
                                                                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### diffSortedClassesAndMethods

          public static java.lang.String diffSortedClassesAndMethods(java.util.List<ClassAndMethodDetails> goldRecord,
                                                                     java.util.List<ClassAndMethods> toDatas)
                                                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### storeClassesAndMethods

          public static void storeClassesAndMethods(java.util.List<ClassAndMethods> cams,
                                                    java.io.File file)
                                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### loadClassesAndVariables

          public static java.util.List<ClassAndVariableDetails> loadClassesAndVariables(java.io.File file)
                                                                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### diffSortedClassesAndVariables

          public static java.lang.String diffSortedClassesAndVariables(java.util.List<ClassAndVariableDetails> goldRecord,
                                                                       java.util.List<ClassAndVariables> cavs)
                                                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### storeClassesAndVariables

          public static void storeClassesAndVariables(java.util.List<ClassAndVariables> cams,
                                                      java.io.File file)
                                               throws java.io.IOException

      Throws:
        `java.io.IOException`